[Fusionforge-commits] r9448 - in trunk/plugins/templates/helloworld/debian: . dsf-in

Christian Bayle cbayle at libremir.placard.fr.eu.org
Sun Apr 11 11:42:27 CEST 2010


Author: cbayle
Date: 2010-04-11 11:42:27 +0200 (Sun, 11 Apr 2010)
New Revision: 9448

Added:
   trunk/plugins/templates/helloworld/debian/dsf-in/
   trunk/plugins/templates/helloworld/debian/dsf-in/plugin-helloworld.postinst
   trunk/plugins/templates/helloworld/debian/dsf-in/plugin-helloworld.prerm
Log:
Add postinst and prerm files


Added: trunk/plugins/templates/helloworld/debian/dsf-in/plugin-helloworld.postinst
===================================================================
--- trunk/plugins/templates/helloworld/debian/dsf-in/plugin-helloworld.postinst	                        (rev 0)
+++ trunk/plugins/templates/helloworld/debian/dsf-in/plugin-helloworld.postinst	2010-04-11 09:42:27 UTC (rev 9448)
@@ -0,0 +1,51 @@
+#! /bin/sh
+# postinst script for @OLDPACKAGE at -plugin-helloworld
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+	@OLDPACKAGE at -config
+
+	# Prepare database
+	su -s /bin/sh @OLDPACKAGE@ -c '/usr/share/@OLDPACKAGE@/bin/register-plugin helloworld "HelloWorld"'
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: trunk/plugins/templates/helloworld/debian/dsf-in/plugin-helloworld.prerm
===================================================================
--- trunk/plugins/templates/helloworld/debian/dsf-in/plugin-helloworld.prerm	                        (rev 0)
+++ trunk/plugins/templates/helloworld/debian/dsf-in/plugin-helloworld.prerm	2010-04-11 09:42:27 UTC (rev 9448)
@@ -0,0 +1,45 @@
+#! /bin/sh
+# prerm script for @OLDPACKAGE at -plugin-helloworld
+#
+# see: dh_installdeb(1)
+set -e
+
+#DEBHELPER#
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+	if [ -f /var/run/postgresql/.s.PGSQL.5432 ]
+	then
+		/usr/share/@OLDPACKAGE@/bin/unregister-plugin helloworld
+	else
+		echo "WARNING: database not available to unregister HelloWorld plugin"
+	fi
+        ;;
+    upgrade|failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+
+
+exit 0
+
+




More information about the Fusionforge-commits mailing list